hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDFS-9532) Detailed exception info is lost in reportTo method of ErrorReportAction and ReportBadBlockAction
Date Sat, 12 Dec 2015 03:12:46 GMT

    [ https://issues.apache.org/jira/browse/HDFS-9532?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15053993#comment-15053993
] 

Hudson commented on HDFS-9532:
------------------------------

FAILURE: Integrated in Hadoop-trunk-Commit #8959 (See [https://builds.apache.org/job/Hadoop-trunk-Commit/8959/])
HDFS-9532. Detailed exception info is lost in reportTo methods of (yzhang: rev f5a911452f8f6bc8a37617d1fc155e5ec23f3a78)
* hadoop-hdfs-project/hadoop-hdfs/CHANGES.txt
* hadoop-hdfs-project/hadoop-hdfs/src/main/java/org/apache/hadoop/hdfs/server/datanode/BPServiceActorActionException.java
* hadoop-hdfs-project/hadoop-hdfs/src/main/java/org/apache/hadoop/hdfs/server/datanode/ReportBadBlockAction.java
* hadoop-hdfs-project/hadoop-hdfs/src/main/java/org/apache/hadoop/hdfs/server/datanode/ErrorReportAction.java


> Detailed exception info is lost in reportTo method of ErrorReportAction and ReportBadBlockAction
> ------------------------------------------------------------------------------------------------
>
>                 Key: HDFS-9532
>                 URL: https://issues.apache.org/jira/browse/HDFS-9532
>             Project: Hadoop HDFS
>          Issue Type: Improvement
>          Components: datanode
>            Reporter: Yongjun Zhang
>            Assignee: Yongjun Zhang
>            Priority: Trivial
>              Labels: supportability
>             Fix For: 2.8.0
>
>         Attachments: HDFS-9532.001.patch
>
>
> See code below
> {code}
>     try {
>       bpNamenode.reportBadBlocks(locatedBlock);
>     } catch (RemoteException re) {
>       DataNode.LOG.info("reportBadBlock encountered RemoteException for "
>           + "block:  " + block , re);
>     } catch (IOException e) {
>       throw new BPServiceActorActionException("Failed to report bad block "
>           + block + " to namenode: ");
>     }
>   }
> {code}
> When IOException e is thrown, the information of e is not reported back to caller. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message